
class Array

  # Alias for shift which removes an object
  # off first slot of an array. This is
  # the contrary of pop.
  #
  #   a=[1,2,3]
  #   a.pull  #=> 1
  #   a       #=> [2,3]
  #
  alias_method( :pull, :shift )

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCArray < Test::Unit::TestCase

    def test_pull
      a = [1,2,3]
      assert_equal( 1, a.pull )
      assert_equal( [2,3], a )
    end

  end

=end
